Open Lighting Architecture: ola::plugin::openpixelcontrol::OPCClientDevice Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ola::plugin::openpixelcontrol::OPCClientDevice Class Reference
Inheritance diagram for ola::plugin::openpixelcontrol::OPCClientDevice:

## Public Member Functions
| OPCClientDevice (AbstractPlugin *owner, PluginAdaptor *plugin_adaptor, Preferences *preferences, const ola::network::IPV4SocketAddress target)
| Create a new OPC client device.
std::string | DeviceId () const
| The device ID.
bool | AllowMultiPortPatching () const
Public Member Functions inherited from ola::Device
| Device (AbstractPlugin *owner, const std::string &name)
const std::string | Name () const
void | SetName (const std::string &name)
AbstractPlugin * | Owner () const
std::string | UniqueId () const
bool | IsEnabled () const
bool | Start ()
bool | Stop ()
bool | AllowLooping () const
bool | AddPort (InputPort *port)
bool | AddPort (OutputPort *port)
void | InputPorts (std::vector< InputPort * > *ports) const
void | OutputPorts (std::vector< OutputPort * > *ports) const
InputPort * | GetInputPort (unsigned int port_id) const
OutputPort * | GetOutputPort (unsigned int port_id) const
void | DeleteAllPorts ()
virtual void | Configure (ola::rpc::RpcController *controller, const std::string &request, std::string *response, ConfigureCallback *done)

## Protected Member Functions
bool | StartHook ()
| Called during Start().
Protected Member Functions inherited from ola::Device
virtual void | PrePortStop ()
virtual void | PostPortStop ()

## Additional Inherited Members
Public Types inherited from ola::AbstractDevice
typedef BaseCallback0< void > | ConfigureCallback

## Constructor & Destructor Documentation

## ◆ OPCClientDevice()

ola::plugin::openpixelcontrol::OPCClientDevice::OPCClientDevice | ( | AbstractPlugin * | owner,
|  | PluginAdaptor * | plugin_adaptor,
|  | Preferences * | preferences,
|  | const ola::network::IPV4SocketAddress | target )

Create a new OPC client device.

Parameters

  owner | the Plugin that owns this device
  plugin_adaptor | the PluginAdaptor to use
  preferences | the Preferences container.
  target | the IP:port to connect to.

## Member Function Documentation

## ◆ AllowMultiPortPatching()

bool ola::plugin::openpixelcontrol::OPCClientDevice::AllowMultiPortPatching | ( |  | ) | const
| inlinevirtual

Reimplemented from ola::Device.

## ◆ DeviceId()

string ola::plugin::openpixelcontrol::OPCClientDevice::DeviceId | ( |  | ) | const
| virtual

The device ID.

Returns
  an id which is unique within the plugin,

Implements ola::Device.

## ◆ StartHook()

bool ola::plugin::openpixelcontrol::OPCClientDevice::StartHook | ( |  | ) |
| protectedvirtual

Called during Start().

This allows the subclass to perform device initialization.

Reimplemented from ola::Device.

The documentation for this class was generated from the following files:

- plugins/openpixelcontrol/OPCDevice.h
- plugins/openpixelcontrol/OPCDevice.cpp